commit:     57cdaa39ecbff31b9ac959e65a12536edf565247
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Jul 22 10:48:35 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Jul 26 20:28:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57cdaa39

x11-plugins/wmcms: add EAPI7 ebuild

 x11-plugins/wmcms/wmcms-0.3.5-r3.ebuild | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/x11-plugins/wmcms/wmcms-0.3.5-r3.ebuild 
b/x11-plugins/wmcms/wmcms-0.3.5-r3.ebuild
new file mode 100644
index 00000000000..3c00c746459
--- /dev/null
+++ b/x11-plugins/wmcms/wmcms-0.3.5-r3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="WindowMaker CPU and Memory Usage Monitor Dock App"
+HOMEPAGE="https://www.geocities.ws/neofpo/wmcms.html";
+SRC_URI="https://www.geocities.ws/neofpo/files/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+
+DEPEND=">=x11-libs/libdockapp-0.7:="
+
+src_prepare() {
+       default
+       eapply "${FILESDIR}"/wmcms-0.3.5-s4t4n.patch
+
+       # Respect LDFLAGS, see bug #335031
+       sed -e 's/ -o wmcms/ ${LDFLAGS} -o wmcms/' -i Makefile || die
+
+       sed -e 's#<dockapp.h>#<libdockapp/dockapp.h>#' -i *.c || die
+}
+
+src_compile() {
+       emake CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+       dobin wmcms
+}

Reply via email to